Subject: Re: [bug#42477] [PATCH] gnu: newsboat: Update to 2.20.1.

From: Jakub Kądziołka <[email-masked]>
Date: Thu, 23 Jul 2020 15:19:24 +0200

On Thu, Jul 23, 2020 at 02:59:25PM +0300, Efraim Flashner wrote:
> On Thu, Jul 23, 2020 at 01:49:59PM +0200, Jakub Kądziołka wrote:
> > On Wed, Jul 22, 2020 at 09:09:16PM +0300, Efraim Flashner wrote:
> > > * gnu/packages/syndication.scm (newsboat): Update to 2.20.1.
> > > [source]: Add snippet to loosen version requirement on crate dependency.
> > > [build-system]: Switch to cargo-build-system.
> > > [native-inputs]: Remove asciidoc, add openssl, asciidoctor.
> > > [arguments]: Add gnu-build-system module. Add vendor-dir, cargo-inputs,
> > > cargo-development-inputs fields. Don't delete 'configure phase. Add
> > > custom 'dont-vendor-self-phase. Replace 'build, 'check, 'install phases
> > > with gnu counterparts.
> > > (newsboat-2.13): New variable.
> > 
> > Efraim,
> > 
> > I can't help but wonder - what's the motivation here for keeping the
> > older version around? I think a comment above the definition would be
> > nice.
> 
> The older one is the last version that builds without rust. I can add a
> comment about why it's still there.

I gathered as much. I don't understand, though, why a rust-less version
is valuable.

Regards,
Jakub Kądziołka